import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-third/videocloudaccount/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-third/videocloudaccount/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-third/videocloudaccount/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-third/videocloudaccount/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-third/videocloudaccount/submit',
    method: 'post',
    data: row
  })
}

export const vcLogin = (row) => {
  return request({
    url: '/api/cyzh-third/videocloudaccount/login',
    method: 'post',
    data: row
  })
}

export const syncByAccount = (params) => {
  return request({
    url: '/api/cyzh-smart-device/videoclouddevice/syncByAccount',
    method: 'post',
    params:{
      ...params
    }
  })
}

